GetExternalSyncRun
curl --request GET \
--url https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSyncRun": {
"externalSyncRunId": "<string>",
"syncedAt": "2023-11-07T05:31:56Z",
"triggerType": "EXTERNAL_SYNC_RUN_TRIGGER_TYPE_UNSPECIFIED",
"diff": {
"usersActivated": [
{
"userId": "<string>",
"userName": "<string>"
}
],
"usersDeactivated": [
{
"userId": "<string>",
"userName": "<string>"
}
],
"groupsCreated": [
{
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"groupsDeleted": [
{
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"usersAddedToGroups": [
{
"userId": "<string>",
"userName": "<string>",
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"usersRemovedFromGroups": [
{
"userId": "<string>",
"userName": "<string>",
"userGroupId": "<string>",
"groupName": "<string>"
}
]
},
"triggeredByUserId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ExternalSyncService
GetExternalSyncRun
Get one external sync run including the full diff payload
GET
/
api
/
v1
/
external-sync
/
runs
/
{externalSyncRunId}
GetExternalSyncRun
curl --request GET \
--url https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/external-sync/runs/{externalSyncRunId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"externalSyncRun": {
"externalSyncRunId": "<string>",
"syncedAt": "2023-11-07T05:31:56Z",
"triggerType": "EXTERNAL_SYNC_RUN_TRIGGER_TYPE_UNSPECIFIED",
"diff": {
"usersActivated": [
{
"userId": "<string>",
"userName": "<string>"
}
],
"usersDeactivated": [
{
"userId": "<string>",
"userName": "<string>"
}
],
"groupsCreated": [
{
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"groupsDeleted": [
{
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"usersAddedToGroups": [
{
"userId": "<string>",
"userName": "<string>",
"userGroupId": "<string>",
"groupName": "<string>"
}
],
"usersRemovedFromGroups": [
{
"userId": "<string>",
"userName": "<string>",
"userGroupId": "<string>",
"groupName": "<string>"
}
]
},
"triggeredByUserId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I